FinalRecovery

Overview

FinalRecovery is a powerful and convenient software utility. It was designed for recover accidental deleted files and folders.

FinalRecovery can recover the data from disks which were formatted in FAT12, FAT16, FAT32 or NTFS file system. FinalRecovery can also undelete files on PCMCIA-attached digital camera cartridges, compactflash & memory stick. And work in WIN95, WIN98, WINME, NT4.0, WIN2000 or XP operating system.

When operating system is WIN2000 or XP,and disk format is FAT32, under this condition which is hard to recover data, FinalRecovery can still work well.

  • How To Use...
    • Scan Disk
    • Scan32
    • Select Deleted Files
    • Recover
    • Advanced Recover
    • Clear Deleted Files completely

  • Frequently Asked Questions
    • What is "Discrete Files"?
    • Can this software run on my PC?
    • Why I got a useless file?
    • How to buy?


Scan32

License Agreement

You should carefully read the following terms and conditions before using this software. your use of this software indicates your acceptance of this license agreement and warranty.

Registered Version

One registered copy of FinalRecovery may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used nonsimultaneously by multiple people, but not both.

Disclaimer of Warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OR MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.

Copyright(C) 2002-2004 MeetSoft


Scan32

What's new?

  1. Some minor fixes and improvements.


Scan Disk

Firstly,you should scan disk to get the list of files and folders(including existing and deleted).

When the program starts, it will inform you to select a disk to scan. By means of choose drive letter, You can scan disk which your deleted files stored in. If the disk is NTFS format, it will cost you more time (usually one minute). If you want to stop scanning progress, click [image] button, and if you want to scan disk over again, please click [image] button.

When finish the scanning progress, you will see the result as follow:

Now you can find the deleted files have appeared.


Scan32

Scan32

When disk format is FAT32, and operating system is WIN2000 or XP. Because of the new security characteristic of these operating system, the possibility of recovery of deleted files will reduce observably. So, if you could not found your needed files after usual scan, you can try function "Scan32". In this function, program will scan current directory wide and accurately. Sometimes, this function can find out deleted files and folders which can not find out by usual scan.

When finish the scanning progress, you will see the result as follow:

Now you can see, a deleted folder which wasn't appeared in usual scan has appeared.

Notes:

  • This function is for Win2000(XP) + FAT32 only.
  • It is a time-consuming process, please be patient to wait.


Select deleted files

When scaned the disk, you should select the files and folders which you want to recover.

Tips:

To recover all deleted files and folders in current directory, you should click the right button of the mouse and select "Select All" from the popupped menu. The program will neglect existing files and recover deleted files only.


Recover

Press [image] button,a window appears, now you should choose a directory to restoring the deleted files.

Notes:

  • If the directory you chose is in the current disk, the program will inform you to choose another disk, In order to avoid destroy data what you want to recover.
  • If you find the recovered file is incorrect, The two reasons may be the file had been covered or the file was stored in fragment. For the second condition, you can try Advanced Recover (For FAT format only).


Advanced Recover

In the FAT format, if a file was stored in fragment, standard recovery will bring you a incorrect file. For this condition, you can try this function. In this function, you can choose the data cluster by yourself. Of course, the premise is that you must know the structure of the deleted file, and you should have enough patience to find the clusters, in which the deleted file storing in it. In fact, this function can not help you recover the lost files all the time, but anyhow, this is the last chance you have.

Usage:

After choosing the deleted file, click [image] button.

Now you see, 0005 is the first data cluster of the file. The details of the data are shown in the following form. If you find the data of your deleted file, then click [image] button to add the cluster to the list of "added clusters", then check the others, till the numbers of the cluster are the same as allocated clusters. Now , click "Recover" button, your file will be recovered.

Notes:

  • This function is only for FAT format disk.
  • If you can't find all the data clusters of the deleted file, you may just recover part of it.


Clear deleted files and folders

For the safety of data, or other reasons, you may hope to clear the deleted files completely from the disk. So for this reason, you can use the clear function.

Usage:

When you selected the files, click [image] button to clear.

Notes:

  • This function is to clear the data completely, and the deleted data will can't recover any more,so you must use it carefully.
  • Under FAT format, this function process the files which have deleted flag in its FDT record. So, if you deleted a directory, The program will can't clear the files and directories in this directory.


What is "Discrete Files"

In NTFS formatted disk partition, maybe some files and directories can't be putted into the directory tree structure. These files and directories will be organized into " Discrete Files". Generally there are two reasons can cause these:

  • The scanning progress has been terminated.
  • The parent directory of these files and directories had been covered.


Can this software run on my PC

System requirement:

  • PII300 IBM PC compatible computer (or higher)
  • 64M memory (or higher)
  • About 1500 Kb free disk space
  • Microsoft Windows 95 or Windows NT 4.0 (or higher)

Notes

  • In NT operating system(Win2K, XP, Win2003), only the administrator has low level disk access privilege. So, if you use this software with an account which has no administrator privileges, you will get a disk access error. To this situation, you should logout current user and log with administrator privileges again.


Why I got a useless file

  • The deleted file had been covered by other data.
  • In FAT Format, a deleted file maybe be stored in fragment. This will cause you get a useless file. For this condition, you can try Advanced Recover.


How To Buy

  • Click here to buy now.
  • Click here to visit our web site.